<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All rights reserved.
 *
 * Author: Chandravadana Kandregula
 * Code Release Version: 1.0.0
 *
 * Class Date
 * @module Pinpoint_DispatchTimer
 */

namespace Pinpoint\DispatchTimer\Model\Config\Form\Field;

use Magento\Config\Block\System\Config\Form\Field\FieldArray\AbstractFieldArray;

class Date extends AbstractFieldArray
{
    /**
     * For Date Filed
     */
    protected function _prepareToRender(): void
    {
        $this->addColumn(
            'year',
            ['label' => __('Year')]
        );

        $this->addColumn(
            'month',
            ['label' => __('Month')]
        );

        $this->addColumn(
            'day',
            ['label' => __('Day')]
        );

        $this->_addAfter = false;
        $this->_addButtonLabel = __('Add Date');
    }
}
